
buttonPrimary = #37a8ee;
buttonSecondary = #00dca4;
grey = #d8d8d8;
lightGrey = #f6f8f9;
darkGrey = #2c2e30;
yellow = #f1c40f;
phone = 400px;
tablet = 768px;
laptop = 992px;

@font-face {
    font-family: GlacialIndifference;
    src: url('../assets/fonts/glacialindifference-regular-webfont.woff');
}

@font-face {
    font-family: GlacialIndifference;
    src: url('../assets/fonts/glacialindifference-bold-webfont.woff');
    font-weight: bold;
}

@font-face {
    font-family: GlacialIndifference;
    src: url('../assets/fonts/glacialindifference-italic-webfont.woff');
    font-style: italic;
}

body {
    font-family: GlacialIndifference, sans-serif;
    margin: 0;
    color: darkGrey;
}

.primary-button {
    height: 36px;
    margin: 32px;
    padding: 8px 16px;
    background: buttonPrimary;
    outline: none;
    border: none;
    border-radius: 4px;
    color: white;
    cursor: pointer;
}

.hidden {
    display: none;
}

* {
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

.noscroll {
    overflow: hidden;
}

.end-game-popup {
    &__container {
        &--hidden {
            display: none;
        }

        position: fixed;
        top: 0;
        left: 0;
        bottom: 0;
        right: 0;
        display: flex;
        justify-content: center;
        align-items: center;
        background: rgba(255, 255, 255, 0.4);
    }

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    min-width: 45vw;
    max-width: 60vw;
    min-height: 20vh;
    max-height: 40vh;

    @media (max-width: tablet) {
        min-width: 65vw;
        max-width: 80vw;
        min-height: 40vh;
        max-height: 60vh;
    }

    background: white;
    -webkit-box-shadow: 5px 31px 42px 18px rgba(216, 216, 216, 0.87);
    -moz-box-shadow: 5px 31px 42px 18px rgba(216, 216, 216, 0.87);
    box-shadow: 5px 31px 42px 18px rgba(216, 216, 216, 0.87);

    h1 {
        margin: 64px 64px 0;
        text-align: center;
    }
}

.container {
    height: 100%;
    width: 100%;
    max-width: 1200px;
    margin-left: auto;
    margin-right: auto;
    padding: 0 32px;
}

.total-time {
    text-align: center;
    padding-bottom: 48px;
}

.header {
    padding: 16px 0;
    display: flex;
    background-color: grey;
    justify-content: center;
    position: sticky;
    top: 0;
    will-change: background;
    transition: background 150ms ease-in-out;

    &--transparent {
        padding: 16px 0;
        display: flex;
        justify-content: center;
        position: sticky;
        top: 0;
    }

    &-container {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &-logo {
        max-height: 32px;

        @media (max-width: tablet) {
            max-width: 35%;
        }
    }

    &-exercise-title {
        display: flex;
        flex-direction: column;
        text-align: right;
        line-height: 1.5;
        color: darkGrey;
    }
}

.candidate-header {
    padding: 48px 32px;
    display: flex;
    align-items: flex-end;

    @media (max-width: laptop) {
        flex-direction: column;
        justify-content: center;
        align-items: center;
        text-align: center;
    }

    img {
        width: 148px;
        height: 148px;
        border: 1px solid grey;
        border-radius: 50%;
        flex: none;
    }

    .candidate-info {
        padding: 32px 32px 0;
        flex: none;
        display: flex;
        flex-direction: column;
        line-height: 1.5;

        h1 {
            margin: 0;
            font-weight: normal;
            line-height: 1.4;
            font-size: 2rem;
        }
    }

    .candidate-bio {
        padding: 32px 0 0 32px;
        text-align: right;
        display: flex;
        flex-direction: column;

        @media (max-width: tablet) {
            display: none;
        }

        @media (max-width: laptop) {
            text-align: center;
            padding-left: 0;
        }

        span:first-of-type {
            line-height: 1.5;
        }
    }
}

.section-header {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-items: center;
    align-items: center;
    padding: 32px 0;
    text-align: center;
    color: darkGrey;
    justify-items: center;
}

.statistics {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    text-align: center;
    align-content: center;

    @media (max-width: laptop) {
        flex-direction: column;
    }

    &-container {
        display: flex;
        flex-direction: column;
        justify-content: center;
        flex: 1;
        margin-bottom: 32px;
    }
}

.player-winner-percentages {
    display: flex;

    .player-container {
        flex: 1;
        display: flex;
        flex-direction: column;
    }

    .side-by-side-container {
        display: flex;
        justify-content: space-around;
    }

    .labels {
        margin-top: 16px;
    }

    .circle {
        width: 48px;
        height: 48px;
        color: white;
        background: grey;
        border-radius: 50%;
        font-weight: bold;
        font-size: 18px;
        display: flex;
        align-items: center;
        justify-content: center;
        margin: auto;
    }
}

.matches-indicator-container {
    display: flex;
    justify-content: center;
}

.played-matches {
    padding-bottom: 32px;

    &__match-container {
        width: 16px;
        height: 16px;
        border: 1px solid grey;
        border-radius: 50%;
        margin: 0 2px;

        &--filled {
            background-color: grey;
        }
    }
}

.game-history {
    &__match-container {
        width: 24px;
        height: 24px;
        display: flex;
        align-items: center;
        justify-content: center;
        border: 1px solid grey;
        margin: 0 4px;
    }
}

.game {
    background-color: lightGrey;

    &-size-select {
        margin-top: 32px;
        height: 36px;
        padding: 0 4px 0 12px;
        background: buttonPrimary;
        outline: none;
        border: none;
        border-radius: 4px;
        color: white;
    }

    &-grid {
        display: grid;
        grid-template-columns: minmax(0, 1fr) 600px minmax(0, 1fr);
        grid-template-rows: 600px 200px;
        grid-template-areas: 'player1 board player2' 'timer timer timer';
        justify-items: stretch;
        align-items: stretch;

        @media (max-width: laptop) {
            grid-template-columns: minmax(0, 1fr) 480px minmax(0, 1fr);
            grid-template-rows: 480px 200px;
        }

        @media (max-width: tablet) {
            grid-template-columns: minmax(0, 1fr) minmax(0, 1fr) minmax(0, 1fr);
            grid-template-rows: calc(100vw - 64px) 200px;
            grid-template-areas: 'board board board' 'player1 timer player2';
        }

        .player-counter {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: flex-start;

            @media (max-width: phone) {
                & > h2 {
                    font-size: 1.2rem;
                }
            }

            @media (min-width: tablet) {
                justify-content: center;
            }

            & > span {
                font-size: 64px;

                @media (max-width: phone) {
                    font-size: 40px;
                }
            }

            .player-1 {
                grid-area: player1;
            }

            .player-2 {
                grid-area: player2;
            }
        }
    }

    .board {
        grid-area: board;
        background: grey;
        width: 100%;
        height: 100%;
        display: grid;

        &-3 {
            grid-template-columns: repeat(3, minmax(0, 1fr));
        }

        &-6 {
            grid-template-columns: repeat(6, minmax(0, 1fr));
        }

        &-9 {
            grid-template-columns: repeat(9, minmax(0, 1fr));
        }

        grid-auto-rows: minmax(0, 1fr);
        grid-gap: 1px;
        border-style: solid;
        border-color: grey;
        border-width: 1px 1px 1px 1px;

        div {
            background: white;
            cursor: pointer;
            padding: 8px;

            img {
                width: 100%;
                height: 100%;
                pointer-events: none;
                user-select: none;
                object-fit: contain;
            }
        }
    }

    .timer {
        grid-area: timer;
    }
}

.timer {
    font-size: 24px;

    @media (max-width: phone) {
        font-size: 18px;
        margin-top: 18px;
    }

    margin-top: 22px;
    text-align: center;
}

.footer {
    background: lightGrey;

    &-container {
        display: flex;
        justify-content: center;
        padding-top: 64px;
        padding-bottom: 64px;

        @media (max-width: laptop) {
            flex-direction: column;

            & > div:nth-child(2) {
                padding: 32px 0;
            }
        }
    }

    &-info {
        flex: 1;
        display: flex;
        flex-direction: column;

        @media (max-width: laptop) {
            align-items: center;
            text-align: center;
            padding-left: 0;
        }

        h3 {
            font-weight: normal;
            font-size: 1.5rem;
        }

        p {
            margin: 8px 0;
        }
    }

    .social-media-links {
        margin-bottom: 16px;

        img:nth-child(2) {
            margin: 0 4px;
        }

        a {
            text-decoration: none;
        }
    }

    .subscribe-input {
        display: flex;

        input {
            width: 240px;
            height: 36px;
            margin: 0;
            border: 2px solid grey;
            outline: none;
            padding: 8px;
        }

        button {
            width: 42px;
            height: 36px;
            background: grey;
            outline: none;
            border: none;
            cursor: pointer;
            display: flex;
            align-items: center;
            justify-content: center;

            &:active {
                background: grey - 10%;
            }
        }
    }
}
